# Wobbly Balls
# Copyright (C) 2010 Jeffrey Armstrong <jeff@rainbow-100.com>
# http://jeff.rainbow-100.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# A full version of the license terms is available in LICENSE.

#BLOCK_X = 24
#BLOCK_Y = 24

# Blocks!
BLOCK_X = 16
BLOCK_Y = 16

W_MAX = 15
W_MIN = 2

S_MAX = 75
S_MIN = 20


COL_GUIDE_WIDTH = 1

MAX_COL_HEIGHT = 15

COL_WIDTH = BLOCK_X+2+2
COL_HEIGHT = MAX_COL_HEIGHT*(BLOCK_Y+2)+6

NUM_COLUMNS = 10

# Try this with a circle
ROCKER_X = NUM_COLUMNS*COL_WIDTH + (NUM_COLUMNS+1)*COL_GUIDE_WIDTH
ROCKER_Y = ROCKER_X

SCREEN_X = 800
SCREEN_Y = 600

# Game Title
TITLE = "Wobbly Balls"

# Game settings
FPS = 60
SOUND = True
TIME_LIMIT_PG = 3.5*1000 #*1000

# Physics
WEIGHT_SCALE = 1.0
SPRING_CONSTANT = 2.0

GAMMA = 2.0
VEL_ACCEL = 0.01 #10.0
POS_ACCEL =  (VEL_ACCEL/2.0*GAMMA)*(VEL_ACCEL/2.0*GAMMA) #0.01 #1.0

# Scoreboard
SCORE_HEIGHT = 125
SCORE_COLOR = (0xd4, 0x55, 0)

# Fonts
SCORE_FONT_NAME = 'underattack.ttf'
SCORE_FONT_SIZE = 55
BRAG_FONT_SIZE = 20 

# Info board
INFO_FONT_SIZE = BLOCK_Y
INFO_FONT_NAME = 'zektonbo.ttf'
INFO_ALPHA_TIME = 300

# Level change
LEVEL_CHANGE_TIME = 800
LEVEL_CHANGE_ZOOM = 6.0

# Danger
DANGER_TIME = 400
DANGER_FONT_SIZE = 35

# Lose
LOSE_TIME = 1000
FLASH_TIME = 150