# Wobbly Balls
# Copyright (C) 2010 Jeffrey Armstrong <jeff@rainbow-100.com>
# http://jeff.rainbow-100.com/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# A full version of the license terms is available in LICENSE.

import data
import pygame
from board import Rocker, ColumnGuides, Danger
from constants import *
from physics import Physics
from level import build_levels, total_drops, LevelAnnounce
from score import ScoreBoard, InfoBoard
from game import game
from menu import menu

def main():
    pygame.init()

    # Sound init
    if pygame.mixer and not pygame.mixer.get_init():
        print 'Problem with the sound...'
        pygame.mixer = None
        sound = False
    elif SOUND:
        pygame.mixer.init()

    screen = pygame.display.set_mode((SCREEN_X,SCREEN_Y))
    pygame.display.set_caption(TITLE)
    
    #bkgd = pygame.Surface((SCREEN_X,SCREEN_Y))
    #bkgd.fill(pygame.Color('black'))

    fsplash = data.load('splash.png')
    isplash = pygame.image.load(fsplash)
    fsplash.close()
    splash = pygame.Surface((SCREEN_X,SCREEN_Y))
    splash.set_colorkey(pygame.Color('black'))
    splash.blit(isplash,(0,0))
    
    salpha = 0
    splash.set_alpha(0)
    while salpha < 600:
        if salpha <= 128:
            screen.blit(splash,(0,0))
            pygame.display.flip()
        else:
            pygame.time.wait(4)
        salpha = salpha + 1
        splash.set_alpha(min(255,salpha))
        
        for e in pygame.event.get():
            if e.type == pygame.KEYDOWN:
                if e.key == pygame.K_ESCAPE:
                    salpha = 700
                    
    salpha = 0
    sclear = pygame.Surface((SCREEN_X,SCREEN_Y))
    sclear.fill(pygame.Color('black'))
    sclear.set_alpha(0)
    while salpha <= 128:
        screen.blit(sclear,(0,0))
        pygame.display.flip()
        #pygame.time.wait(2)
        salpha = salpha + 1
        sclear.set_alpha(salpha)
    
    quit = False
    while not quit:
        play, quit = menu(screen)
        if play:
            game(screen)
    